업로드 시작
- MCP 도구
- start_generation_attachment_uploadStart Generation Attachment Upload
- 요청 제한
- Tier 3
- API 권한
- ai:generate
- 프로젝트 역할
- 소유자관리자멤버
파일 생성에 쓸 참고 파일의 업로드를 시작합니다.
정보
각 파트를 해당 URL로 업로드한 뒤 업로드 완료를 호출해야 합니다.
예시
bash
curl -X POST 'https://api.youvico.com/api/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/generation-attachments/upload.multipart' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{ "name": "reference.png", "size": 2400000 }'json
{
"data": {
"id": "GA1234567890ABCD",
"parts": [
{
"partNumber": 1,
"url": "https://example.com/upload/1"
}
]
}
}요청
경로
idstringrequired 프로젝트 ID
본문
namestringrequired1-255 characters
첨부파일 이름
Example: reference.png
sizenumberrequiredInteger, 1-1000000000
첨부파일 크기(바이트)
Example: 2400000
응답
201 Created를 반환합니다.
dataobject 업로드 세션
data.idstring 생성된 AI 생성 첨부 ID
Example: GA1234567890ABCD
data.partsarray 업로드 파트 목록
data.parts[].partNumbernumber 파트 번호
Example: 1
data.parts[].urlstring 파트 업로드용 Presigned URL
Example: https://example.com/upload/1